3

I've un/reinstalled brew, turned off macOS Gatekeeper, csrutil is disabled, and a bunch of other things but brew cask install java6 always results in this:

> $ brew cask install java6                                        ⬡ 8.11.4 [±OLYM-152-optimizely-web-per-banner ✓]
==> Satisfying dependencies
==> Downloading https://support.apple.com/downloads/DL1572/en_US/javaforosx.dmg
Already downloaded: /Users/mmooring/Library/Caches/Homebrew/downloads/ef0dff3db9496248774373eb3eba27a50a91e83edda3fe32d2197db15a5ffc69--javaforosx.dmg
==> Verifying SHA-256 checksum for Cask 'java6'.
==> Installing Cask java6
==> Running installer for java6; your password may be necessary.
==> Package installers may write to any location; options such as --appdir are ignored.
installer: Cannot install on volume / because it is disabled.
installer: A newer version of this package is already installed.
==> Purging files for version 1.6.0_65-b14-468 of Cask java6
Error: Failure while executing; `/usr/bin/sudo -E -- env LOGNAME=mmooring USER=mmooring USERNAME=mmooring /usr/sbin/installer -pkg /usr/local/Caskroom/java6/1.6.0_65-b14-468/JavaForOSX.pkg -target /` exited with 1. Here's the output:
installer: Cannot install on volume / because it is disabled.
installer: A newer version of this package is already installed.
Follow the instructions here:
  https://github.com/Homebrew/homebrew-cask#reporting-bugs
/usr/local/Homebrew/Library/Homebrew/system_command.rb:111:in `assert_success'
/usr/local/Homebrew/Library/Homebrew/system_command.rb:52:in `run!'
/usr/local/Homebrew/Library/Homebrew/system_command.rb:29:in `run'
/usr/local/Homebrew/Library/Homebrew/system_command.rb:33:in `run!'
/usr/local/Homebrew/Library/Homebrew/cask/artifact/pkg.rb:59:in `block in run_installer'
/usr/local/Homebrew/Library/Homebrew/cask/artifact/pkg.rb:65:in `with_choices_file'
/usr/local/Homebrew/Library/Homebrew/cask/artifact/pkg.rb:52:in `run_installer'
/usr/local/Homebrew/Library/Homebrew/cask/artifact/pkg.rb:34:in `install_phase'
/usr/local/Homebrew/Library/Homebrew/cask/installer.rb:214:in `block in install_artifacts'
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0/set.rb:777:in `each'
/System/Library/Frameworks/Ruby.framework/Versions/2.6/usr/lib/ruby/2.6.0/set.rb:777:in `each'
/usr/local/Homebrew/Library/Homebrew/cask/installer.rb:205:in `install_artifacts'
/usr/local/Homebrew/Library/Homebrew/cask/installer.rb:103:in `install'
/usr/local/Homebrew/Library/Homebrew/cask/cmd/install.rb:23:in `block in run'
/usr/local/Homebrew/Library/Homebrew/cask/cmd/install.rb:16:in `each'
/usr/local/Homebrew/Library/Homebrew/cask/cmd/install.rb:16:in `run'
/usr/local/Homebrew/Library/Homebrew/cask/cmd/abstract_command.rb:36:in `run'
/usr/local/Homebrew/Library/Homebrew/cask/cmd.rb:92:in `run_command'
/usr/local/Homebrew/Library/Homebrew/cask/cmd.rb:158:in `run'
/usr/local/Homebrew/Library/Homebrew/cask/cmd.rb:123:in `run'
/usr/local/Homebrew/Library/Homebrew/cmd/cask.rb:9:in `cask'
/usr/local/Homebrew/Library/Homebrew/brew.rb:102:in `<main>'

I've tried and answers from this Apple StackExchange Question: How to run an app that require Java SDK on macOS Catalina 10.15?

Any help will be greatly appreciated as I've been blocked now for a few days. 🙇🏻‍♂️

  • 1
    Java 6 will likely not work on Catalina, as I'm fairly certain that it's a 32-bit build. Second, it's preferred to have a much more up-to-date version of java, preferably 8 or later. Third, have you booted into recovery and disabled csrutil? – Matthew Barclay Sep 16 at 2:37
  • I ran java6 in the version before Catalina. Yes, csrutil is disabled. Thanks for the reply. – Mikeumus Sep 16 at 2:49
  • 2
    Catalina drops all support for 32-bit programs – Matthew Barclay Sep 16 at 2:58
  • 😵💀........... – Mikeumus Sep 16 at 2:59
2

I found a workaround here: https://oliverdowling.com.au/2015/10/09/oracles-jre-8-on-mac-os-x-el-capitan/

You can have it (Java6) installed without actually using it, however, it’s possible to trick the applications into thinking legacy Java 6 is installed, without actually doing so.

If you’re running El Capitan, this is actually a little difficult now, because Apple added SIP (System Integrity Protection) to OS X. I have written a post explaining how to disable and enable SIP.

If you’ve disabled SIP, or are not running El Capitan yet, you can trick some applications into thinking legacy Java 6 is installed by creating two folders with the following commands in Terminal:

 $ sudo mkdir -p /System/Library/Java/JavaVirtualMachines/1.6.0.jdk
 $ sudo mkdir -p /System/Library/Java/Support/Deploy.bundle 

Don’t forget to enable SIP again after creating these directories.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .